Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/build/index.asset.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/build/index.asset.php	(revision 11163)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/build/index.asset.php	(revision 11164)
@@ -1,1 +1,1 @@
-<?php return array('dependencies' => array('lodash', 'react', 'wp-a11y', 'wp-api-fetch', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-data-controls', 'wp-element', 'wp-html-entities', 'wp-i18n', 'wp-keycodes', 'wp-polyfill', 'wp-primitives', 'wp-url'), 'version' => '8bc03fb093ba7a565624f18e6f7c0a63');
+<?php return array('dependencies' => array('lodash', 'react', 'wp-a11y', 'wp-api-fetch', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-data-controls', 'wp-element', 'wp-html-entities', 'wp-i18n', 'wp-keycodes', 'wp-polyfill', 'wp-primitives', 'wp-url'), 'version' => '7ed4c1a2b5db2bf11f827b5b70fc5a19');
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/functions.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/functions.php	(revision 11163)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/functions.php	(revision 11164)
@@ -86,4 +86,5 @@
 				rawurlencode( wp_json_encode( array(
 					'userId' => get_current_user_id(),
+					'currentAuthorName' => esc_html( get_the_author_meta( 'display_name' ) ),
 				) ) ),
 			),
@@ -202,10 +203,13 @@
 
 /**
- * Add the "My Patterns" status rewrites.
- * This will redirect `my-patterns/draft`, `my-patterns/pending` etc to use the My Patterns page.
+ * Add rewrites needed for nested page navigation.
+ * - `my-patterns/<status>` will render the My Patterns page.
+ * - `favorites/categories/<cat>` will render the Favorites page.
+ * - `author/<username>/categories/<cat>` will render the author archive.
  */
 function add_rewrite() {
 	add_rewrite_rule( '^my-patterns/[^/]+/?$', 'index.php?pagename=my-patterns', 'top' );
 	add_rewrite_rule( '^favorites/.+/?$', 'index.php?pagename=favorites', 'top' );
+	add_rewrite_endpoint( 'categories', EP_AUTHORS );
 }
 
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/header.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/header.php	(revision 11163)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/header.php	(revision 11164)
@@ -33,5 +33,10 @@
 						<p class="site-description"><?php esc_html_e( 'Add a beautifully designed, ready to go layout to any WordPress site with a simple copy/paste.', 'wporg-patterns' ); ?></p>
 						<?php get_search_form(); ?>
-						<a class="site-link" href="<?php echo esc_url( home_url( '/favorites' ) ); ?>"><?php esc_html_e( 'Favorites', 'wporg-patterns' ); ?></a>
+
+						<?php if ( is_user_logged_in() ) : ?>
+							<a class="site-link" href="<?php echo esc_url( home_url( '/favorites' ) ); ?>"><?php esc_html_e( 'Favorites', 'wporg-patterns' ); ?></a>
+						<?php else : ?>
+							<a class="site-link" href="<?php echo esc_url( wp_login_url() ); ?>"><?php esc_html_e( 'Log in to collect your favorites', 'wporg-patterns' ); ?></a>
+						<?php endif; ?>
 					</div>
 				<?php else : ?>
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/breadcrumb-monitor/index.js
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/breadcrumb-monitor/index.js	(revision 11163)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/breadcrumb-monitor/index.js	(revision 11164)
@@ -27,11 +27,9 @@
 	const { path } = useRoute();
 
-	const { authorName, categoryName, query } = useSelect( ( select ) => {
+	const { authorName, categoryName } = useSelect( ( select ) => {
 		const _query = select( patternStore ).getQueryFromUrl( path );
 		const category = select( patternStore ).getCategoryById( _query[ 'pattern-categories' ] );
 		return {
-			query: _query,
-			// @todo Get the author's display name.
-			authorName: _query?.author_name,
+			authorName: wporgPatternsData.currentAuthorName || _query?.author_name,
 			categoryName: category?.name,
 		};
@@ -41,5 +39,5 @@
 		if ( authorName ) {
 			// translators: %s is the author name.
-			setBreadcrumbText( sprintf( __( 'Author: %s', 'wporg-patterns' ), query.author_name ) );
+			setBreadcrumbText( sprintf( __( 'Author: %s', 'wporg-patterns' ), authorName ) );
 		} else if ( categoryName ) {
 			// translators: %s is the category name.
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/context-bar/index.js
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/context-bar/index.js	(revision 11163)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/context-bar/index.js	(revision 11164)
@@ -65,5 +65,5 @@
 
 			return {
-				author: _query?.author_name,
+				author: wporgPatternsData.currentAuthorName || _query?.author_name,
 				category: getCategoryById( _query[ 'pattern-categories' ] ),
 				count: getPatternTotalsByQuery( _query ),
